- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Static Public Member Functions

# MToolsInfo Class Reference

# OpenMayaUI - API module for user interface

Search for all occurrences

## Detailed Description

Tool information.

MToolsInfo is a caretaker class used to keep track of the state of the current tool property sheet. The tool writer should make sure to call the setDirtyFlag method when any of the values are modified. The dirty flag is used to indicate that the UI needs to be updated when the value of a tool property sheet option has changed.

`#include <MToolsInfo.h>`

List of all members.

## Static Public Member Functions
static void | setDirtyFlag (const MPxContext &context)
| This method should be called by a tool when the value of a tool property sheet option has changed.
static void | resetDirtyFlag ()
| This method resets the dirty flag, such that the state becomes clean.
static bool | isDirty ()
| This method returns whether or not the dirty flag is set.
static const char * | className ()
| Returns the name of this class. Search for all occurrences

## Member Function Documentation

void setDirtyFlag | ( | const MPxContext & | context | ) | `[static]`

Search for all occurrences

This method should be called by a tool when the value of a tool property sheet option has changed.

The dirty flag will only be set if this is the current tool.

Parameters:

  [in] | context | the context whose value has changed

Examples:
  helixTool.cpp.

bool isDirty | ( |  | ) | `[static]`

Search for all occurrences

This method returns whether or not the dirty flag is set.

Returns:
  true if the dirty flag is set, false otherwise.

const char * className | ( |  | ) | `[static]`

Search for all occurrences

Returns the name of this class.

Returns:
  The name of this class.

MToolsInfo MToolsInfo MToolsInfo MToolsInfo MToolsInfo MToolsInfo MToolsInfo MToolsInfo MToolsInfo MToolsInfo
MToolsInfo MToolsInfo MToolsInfo MToolsInfo MToolsInfo MToolsInfo MToolsInfo MToolsInfo MToolsInfo MToolsInfo